Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngget.c File Reference

`#include "png.h"`

Include dependency graph for pngget.c:

## Defines
#define | PNG_INTERNAL
## Functions
png_uint_32 | png_get_valid (png_structp png_ptr, png_infop info_ptr, png_uint_32 flag)
png_uint_32 | png_get_rowbytes (png_structp png_ptr, png_infop info_ptr)
png_bytepp | png_get_rows (png_structp png_ptr, png_infop info_ptr)
png_uint_32 | png_get_image_width (png_structp png_ptr, png_infop info_ptr)
png_uint_32 | png_get_image_height (png_structp png_ptr, png_infop info_ptr)
png_byte | png_get_bit_depth (png_structp png_ptr, png_infop info_ptr)
png_byte | png_get_color_type (png_structp png_ptr, png_infop info_ptr)
png_byte | png_get_filter_type (png_structp png_ptr, png_infop info_ptr)
png_byte | png_get_interlace_type (png_structp png_ptr, png_infop info_ptr)
png_byte | png_get_compression_type (png_structp png_ptr, png_infop info_ptr)
png_uint_32 | png_get_x_pixels_per_meter (png_structp png_ptr, png_infop info_ptr)
png_uint_32 | png_get_y_pixels_per_meter (png_structp png_ptr, png_infop info_ptr)
png_uint_32 | png_get_pixels_per_meter (png_structp png_ptr, png_infop info_ptr)
float | png_get_pixel_aspect_ratio (png_structp png_ptr, png_infop info_ptr)
png_int_32 | png_get_x_offset_microns (png_structp png_ptr, png_infop info_ptr)
png_int_32 | png_get_y_offset_microns (png_structp png_ptr, png_infop info_ptr)
png_int_32 | png_get_x_offset_pixels (png_structp png_ptr, png_infop info_ptr)
png_int_32 | png_get_y_offset_pixels (png_structp png_ptr, png_infop info_ptr)
png_byte | png_get_channels (png_structp png_ptr, png_infop info_ptr)
png_bytep | png_get_signature (png_structp png_ptr, png_infop info_ptr)
png_uint_32 | png_get_bKGD (png_structp png_ptr, png_infop info_ptr, png_color_16p *background)
png_uint_32 | png_get_cHRM (png_structp png_ptr, png_infop info_ptr, double *white_x, double *white_y, double *red_x, double *red_y, double *green_x, double *green_y, double *blue_x, double *blue_y)
png_uint_32 | png_get_cHRM_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point *white_x, png_fixed_point *white_y, png_fixed_point *red_x, png_fixed_point *red_y, png_fixed_point *green_x, png_fixed_point *green_y, png_fixed_point *blue_x, png_fixed_point *blue_y)
png_uint_32 | png_get_gAMA (png_structp png_ptr, png_infop info_ptr, double *file_gamma)
png_uint_32 | png_get_gAMA_fixed (png_structp png_ptr, png_infop info_ptr, png_fixed_point *int_file_gamma)
png_uint_32 | png_get_sRGB (png_structp png_ptr, png_infop info_ptr, int *file_srgb_intent)
png_uint_32 | png_get_iCCP (png_structp png_ptr, png_infop info_ptr, png_charpp name, int *compression_type, png_charpp profile, png_uint_32 *proflen)
png_uint_32 | png_get_sPLT (png_structp png_ptr, png_infop info_ptr, png_sPLT_tpp spalettes)
png_uint_32 | png_get_hIST (png_structp png_ptr, png_infop info_ptr, png_uint_16p *hist)
png_uint_32 | png_get_IHDR (png_structp png_ptr, png_infop info_ptr, png_uint_32 *width, png_uint_32 *height, int *bit_depth, int *color_type, int *interlace_type, int *compression_type, int *filter_type)
png_uint_32 | png_get_oFFs (png_structp png_ptr, png_infop info_ptr, png_int_32 *offset_x, png_int_32 *offset_y, int *unit_type)
png_uint_32 | png_get_pCAL (png_structp png_ptr, png_infop info_ptr, png_charp *purpose, png_int_32 *X0, png_int_32 *X1, int *type, int *nparams, png_charp *units, png_charpp *params)
png_uint_32 | png_get_sCAL (png_structp png_ptr, png_infop info_ptr, int *unit, double *width, double *height)
png_uint_32 | png_get_pHYs (png_structp png_ptr, png_infop info_ptr, png_uint_32 *res_x, png_uint_32 *res_y, int *unit_type)
png_uint_32 | png_get_PLTE (png_structp png_ptr, png_infop info_ptr, png_colorp *palette, int *num_palette)
png_uint_32 | png_get_sBIT (png_structp png_ptr, png_infop info_ptr, png_color_8p *sig_bit)
png_uint_32 | png_get_text (png_structp png_ptr, png_infop info_ptr, png_textp *text_ptr, int *num_text)
png_uint_32 | png_get_tIME (png_structp png_ptr, png_infop info_ptr, png_timep *mod_time)
png_uint_32 | png_get_tRNS (png_structp png_ptr, png_infop info_ptr, png_bytep *trans, int *num_trans, png_color_16p *trans_values)
png_uint_32 | png_get_unknown_chunks (png_structp png_ptr, png_infop info_ptr, png_unknown_chunkpp unknowns)
png_byte | png_get_rgb_to_gray_status (png_structp png_ptr)
png_voidp | png_get_user_chunk_ptr (png_structp png_ptr)
png_uint_32 | png_get_compression_buffer_size (png_structp png_ptr)
png_uint_32 | png_get_asm_flags (png_structp png_ptr)
png_uint_32 | png_get_asm_flagmask (int flag_select)
png_uint_32 | png_get_mmx_flagmask (int flag_select, int *compilerID)
png_byte | png_get_mmx_bitdepth_threshold (png_structp png_ptr)
png_uint_32 | png_get_mmx_rowbytes_threshold (png_structp png_ptr)
png_uint_32 | png_get_user_width_max (png_structp png_ptr)
png_uint_32 | png_get_user_height_max (png_structp png_ptr)

## Define Documentation

#define PNG_INTERNAL

## Function Documentation

png_uint_32 png_get_asm_flagmask | ( | int | flag_select | ) |

png_uint_32 png_get_asm_flags | ( | png_structp | png_ptr | ) |

png_byte png_get_bit_depth | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_bKGD | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_color_16p * | background
| ) |

png_byte png_get_channels | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_cHRM | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double * | white_x,
|  | double * | white_y,
|  | double * | red_x,
|  | double * | red_y,
|  | double * | green_x,
|  | double * | green_y,
|  | double * | blue_x,
|  | double * | blue_y
| ) |

png_uint_32 png_get_cHRM_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point * | white_x,
|  | png_fixed_point * | white_y,
|  | png_fixed_point * | red_x,
|  | png_fixed_point * | red_y,
|  | png_fixed_point * | green_x,
|  | png_fixed_point * | green_y,
|  | png_fixed_point * | blue_x,
|  | png_fixed_point * | blue_y
| ) |

png_byte png_get_color_type | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_compression_buffer_size | ( | png_structp | png_ptr | ) |

png_byte png_get_compression_type | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_byte png_get_filter_type | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_gAMA | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | double * | file_gamma
| ) |

png_uint_32 png_get_gAMA_fixed | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_fixed_point * | int_file_gamma
| ) |

png_uint_32 png_get_hIST | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_16p * | hist
| ) |

png_uint_32 png_get_iCCP | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_charpp | name,
|  | int * | compression_type,
|  | png_charpp | profile,
|  | png_uint_32 * | proflen
| ) |

png_uint_32 png_get_IHDR | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 * | width,
|  | png_uint_32 * | height,
|  | int * | bit_depth,
|  | int * | color_type,
|  | int * | interlace_type,
|  | int * | compression_type,
|  | int * | filter_type
| ) |

png_uint_32 png_get_image_height | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_image_width | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_byte png_get_interlace_type | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_byte png_get_mmx_bitdepth_threshold | ( | png_structp | png_ptr | ) |

png_uint_32 png_get_mmx_flagmask | ( | int | flag_select,
|  | int * | compilerID
| ) |

png_uint_32 png_get_mmx_rowbytes_threshold | ( | png_structp | png_ptr | ) |

png_uint_32 png_get_oFFs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_int_32 * | offset_x,
|  | png_int_32 * | offset_y,
|  | int * | unit_type
| ) |

png_uint_32 png_get_pCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_charp * | purpose,
|  | png_int_32 * | X0,
|  | png_int_32 * | X1,
|  | int * | type,
|  | int * | nparams,
|  | png_charp * | units,
|  | png_charpp * | params
| ) |

png_uint_32 png_get_pHYs | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 * | res_x,
|  | png_uint_32 * | res_y,
|  | int * | unit_type
| ) |

float png_get_pixel_aspect_ratio | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_pixels_per_meter | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_PLTE | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_colorp * | palette,
|  | int * | num_palette
| ) |

png_byte png_get_rgb_to_gray_status | ( | png_structp | png_ptr | ) |

png_uint_32 png_get_rowbytes | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_bytepp png_get_rows | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_sBIT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_color_8p * | sig_bit
| ) |

png_uint_32 png_get_sCAL | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int * | unit,
|  | double * | width,
|  | double * | height
| ) |

png_bytep png_get_signature | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_sPLT | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_sPLT_tpp | spalettes
| ) |

png_uint_32 png_get_sRGB | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | int * | file_srgb_intent
| ) |

png_uint_32 png_get_text | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_textp * | text_ptr,
|  | int * | num_text
| ) |

png_uint_32 png_get_tIME | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_timep * | mod_time
| ) |

png_uint_32 png_get_tRNS | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_bytep * | trans,
|  | int * | num_trans,
|  | png_color_16p * | trans_values
| ) |

png_uint_32 png_get_unknown_chunks | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_unknown_chunkpp | unknowns
| ) |

png_voidp png_get_user_chunk_ptr | ( | png_structp | png_ptr | ) |

png_uint_32 png_get_user_height_max | ( | png_structp | png_ptr | ) |

png_uint_32 png_get_user_width_max | ( | png_structp | png_ptr | ) |

png_uint_32 png_get_valid | ( | png_structp | png_ptr,
|  | png_infop | info_ptr,
|  | png_uint_32 | flag
| ) |

png_int_32 png_get_x_offset_microns | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_int_32 png_get_x_offset_pixels | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_x_pixels_per_meter | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_int_32 png_get_y_offset_microns | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_int_32 png_get_y_offset_pixels | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

png_uint_32 png_get_y_pixels_per_meter | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |